Post

10 followers Follow
0
Avatar

Installing Reviewer 5.0 to iOS Simulator

I can't install Reviewer 5.0.0 (iPhone Simulator).app to the iOS Simulator. When I double click on the reviewer app (as instructed), a popup comes up with the following message:

Could not launch the iPad/iPhone application.

A failure occured loading the iPhoneSimulatorRemoteClient private framework.

 

Notable things I've tried to fix the problem:

-completely updated Xcode

-reset settings on iOS Simulator

 

I also have OS 10.9.2 if that has anything to do with it.

 

Can I please have some help?

thanks,

-Troy

Troy Ruprecht Answered

Please sign in to leave a comment.

22 comments

0
Avatar

Hello there Troy,

We currently have a problem with the self-deploying version of the 5.0 Reviewer App not working with the latest version of Xcode.

Below is a download link containing the Reviewer App within a .zip file that you can manually install to the 7.0.3 iOS Simulator version. To install this, hold the Option key and use the top menu bar from the Finder and select "Go" and then "Library", then navigate through the folders to Application Support -> iPhone Simulator -> 7.0.3 -> Applications and copy/move the "MagReviewer" folder there. Then you manually have to run the simulator from Xcode, making sure you are using the 7.0.3 device. You will find the Mag+ Reviewer App now installed on the second page of your Simulator.

https://magplus.box.com/reviewer500

Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes
0
Avatar

Thanks—I will try that, but where you say 7.0.3 is, only 7.1 exists (and 6.1, 6.0, etc). I'll see if it works for 7.1.

Troy Ruprecht 0 votes
0
Avatar

Update: just got it to work. I wasn't see the 7.0.3 folder, because that folder is exists only after you select that version of iPad Device on the Simulator menu. After it showed up, I placed that folder in there and it works. 

 

thanks,

-Troy

 

Troy Ruprecht 0 votes
0
Avatar

Troy,

Sorry I didn't get to you sooner.  Thanks for letting me know you worked it out.  

We will hopefully have our self-deploying version up and running in the near future it has been more complicated with the recent update to Xcode.

Thanks for your patience!

Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes
0
Avatar

Hi, same problem - 'a failure occured loading the iPhoneSimulatorRemoteClient private framework'.

I'm running OSX 10.9.2, X Code 5.1, Reviewer 5.0.0, Mag+ Production Tool 5.1

Downloaded the MagReviewer app from link in thread above & added it to the (created) 7.0.3 folder. 

Restart, launched Xcode & iOS simulator > Device iPad > iOS 7.0.3 (11B507)

No Mag+ app on iOS simulator second screen

Check 7.0.3 folder.

A Prohibited symbol on the app and when I try to launch it I get 'You can't open the app...because it is not supported on this type of Mac.'

WTF?

Rob

Robert Levison 0 votes
0
Avatar

Have you placed the folder with the app in the right place? The app/program symbol looks like that but works in iOS Simulator. Just as described. You have to put the folder in HD/Users/YourName/Library/Application Support/iPhone Simulator/7.0.3/Applications/   - There you put the Magreviewer folder with the Reviewer program in it.

Then restart iOS Simulator and the app should appear on second screen.

Rickard Hermansson 0 votes
0
Avatar

Hi Richard,

thanks for the prompt response. You're right. The bit missing from the instructions at the top of the thread was to place the app in the 7.0.3 > Applications folder. (I guess the name should have given me a clue.)

Works perfectly now.

Thanks,

Rob

Robert Levison 0 votes
0
Avatar

Hi!

I really don't have a clue of where is the 7.03 folder. I only can see 7.1 and older versions. Do you need to create the folder?

Felix

felix 0 votes
0
Avatar

Now I'm back with the same problem (I think someone screwed with my computer while I was on vacation), but the "iPhone Simulator" folder doesn't exist at all within application support. On top of that, the iOS Simulator doesn't give me the option to select specific versions of iPad versions anymore under the Device menu. 

Any ideas on how to get the Reviewer app to work? 

I'll post any updates if I can figure it out in the meantime.

Troy Ruprecht 0 votes
0
Avatar

Hi!

I´m having the same problem, I follow all your steps (placing the reviewer folder in iPhone Simulator/7.0/Applications, also in 7.1 and 8.0)  but still can´t see de reviewer in the iPad Retina device. I only sees it in the iPhone simulator device. 

I hace Mavericks 10.9.4 Xcode 6.0.1 

This happens to me after installing the last version of Xcode, then I try to install 5.1.7 Reviewer and it was impossible. I tried to install older versions of the reviewer but didn´t work.

Any solution that can help me, please?

Paula Ramos 0 votes
0
Avatar

Is there a new version of Mag+ Reviewer for iOS-simulator 8?

Not able to install 5.1.7.

henrik.susenbeth 0 votes
0
Avatar

Can't use Mag+ Reviewer 5.1.7 with the new xcode. Had to install an older version of xcode to get the simulator working. Is there a new Mag+ Reviewer available for iOS-simulator 8?

emma 0 votes
0
Avatar

Paula, I've found a solution: installing an older version of xcode (xcode 5.1) and wait for Mag+ to update its Reviewer.

emma 0 votes
0
Avatar

hii emma

can u provide me the older version of Xcode 5.1 because i have updated to Xcode 6 and i can't found know the older version of Xcode 5.1 on net

Shaza Ayesh 0 votes
0
Avatar

Hey guys, really don't want to install Xcode 5.1, when will you have a version of the Reviewer that will work in Xcode 6 / iOS 8? Even if it is a non-deployable solution like your Reviewer 5.0.0 you created for 7.0.3 would be great.

eric 0 votes